org.jgroups.protocols

## Enum Locking.Type

- java.lang.Object
- - java.lang.Enum<Locking.Type>
  - - org.jgroups.protocols.Locking.Type

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Locking.Type>
  Enclosing class:
    Locking

      protected static enum Locking.Type
      extends java.lang.Enum<Locking.Type>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `COND_SIG`
    `COND_SIG_ALL`
    `CREATE_AWAITER`
    `CREATE_LOCK`
    `DELETE_AWAITER`
    `DELETE_LOCK`
    `DELETE_LOCK_AWAIT`
    `GRANT_LOCK`
    `LOCK_AWAIT`
    `LOCK_DENIED`
    `LOCK_GRANTED`
    `RELEASE_LOCK`
    `SIG_RET`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Locking.Type` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Locking.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### GRANT_LOCK

          public static final Locking.Type GRANT_LOCK

    - #### LOCK_GRANTED

          public static final Locking.Type LOCK_GRANTED

    - #### LOCK_DENIED

          public static final Locking.Type LOCK_DENIED

    - #### RELEASE_LOCK

          public static final Locking.Type RELEASE_LOCK

    - #### CREATE_LOCK

          public static final Locking.Type CREATE_LOCK

    - #### DELETE_LOCK

          public static final Locking.Type DELETE_LOCK

    - #### LOCK_AWAIT

          public static final Locking.Type LOCK_AWAIT

    - #### COND_SIG

          public static final Locking.Type COND_SIG

    - #### COND_SIG_ALL

          public static final Locking.Type COND_SIG_ALL

    - #### SIG_RET

          public static final Locking.Type SIG_RET

    - #### DELETE_LOCK_AWAIT

          public static final Locking.Type DELETE_LOCK_AWAIT

    - #### CREATE_AWAITER

          public static final Locking.Type CREATE_AWAITER

    - #### DELETE_AWAITER

          public static final Locking.Type DELETE_AWAITER

  - ### Method Detail

    - #### values

          public static Locking.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Locking.Type c : Locking.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Locking.Type valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.